Page MenuHomePhabricator

Evaluate result ordering change of title matches with redirects
Closed, ResolvedPublic

Description

Scenario: Prefix search ranks redirects under title matches # features/prefix_search_api.feature:15
  When I get api suggestions for PrefixRedirectRanking      # features/step_definitions/search_steps.rb:55
  Then PrefixRedirectRanking 1 is the first api suggestion  # features/step_definitions/search_steps.rb:238
    expected: == "PrefixRedirectRanking 1"
         got:    "PrefixRedirectRanking 2" (RSpec::Expectations::ExpectationNotMetError)

It looks like the top two results have swapped order, I havn't looked close enough yet to say if we should fix the test or the code. Evaluate and decide.

Examples:
es 1.7: http://cirrustest-cirrus-browser-bot.wmflabs.org/w/index.php?title=Special:Search&profile=default&fulltext=Search&search=PrefixRedirectRanking&searchToken=2ef7oqd324wcil3i3kdxrrhnt
es 2.3: http://cirrustest-searchdemo.wmflabs.org/w/index.php?title=Special:Search&profile=default&fulltext=Search&search=PrefixRedirectRanking&searchToken=bwcs0wixxfbia5hjqvfv5s7kh

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptApr 26 2016, 11:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
dcausse added a subscriber: dcausse.May 2 2016, 2:21 PM

This one appears to be fixed (reading dumpResult from searchdemo) did you create all these ranking issue tasks before incLink job was fixed?

Yes, all the browser test fail tickets were opened before fixing the inc links job. Would be great if multiple of these tickets were simply due to the one bug.

all tests pass for me on searchdemo, (I'm not sure how cindy is configured but looks like these tests only pass when the completion suggester is disabled, but it is enabled in both tests/jenkins/Jenkins.php and tests/jenkins/FullyFeaturedConfig.php)

That's odd, cindy is using the completion suggester so it should work in that configuration.

ah ok got it, reindexing titleSuggest fixes the test when completion suggester is enabled.
So basically these tests work on both prefix search and completion suggester.

I think that when we enabled the completion by default we also forced this test to use the completion suggester. While I'm surprised that the completion suggester complies to these tests I think we should also run these tests on prefix search.

I'll fix the tests so that it supports and tests completion+prefix_search

Change 286646 had a related patch set uploaded (by DCausse):
Fix prefix_search_api to support both prefix search and completion suggester

https://gerrit.wikimedia.org/r/286646

Change 286646 merged by jenkins-bot:
Fix prefix_search_api test to support both prefix search and completion suggester

https://gerrit.wikimedia.org/r/286646

Deskana triaged this task as Normal priority.May 11 2016, 10:43 PM
Deskana closed this task as Resolved.